From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kyua/
Date: Sun, 12 Jan 2025 05:14:12 +0000 (UTC) [thread overview]
Message-ID: <1736658759.e7b2df20db3eeb4e55013327a405078731161284.floppym@gentoo> (raw)
commit: e7b2df20db3eeb4e55013327a405078731161284
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 12 05:05:00 2025 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Jan 12 05:12:39 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7b2df20
dev-util/kyua: add 0.14
Closes: https://bugs.gentoo.org/947929
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
dev-util/kyua/Manifest | 1 +
dev-util/kyua/kyua-0.14.ebuild | 48 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-util/kyua/Manifest b/dev-util/kyua/Manifest
index c4aa44b8733f..58291e254294 100644
--- a/dev-util/kyua/Manifest
+++ b/dev-util/kyua/Manifest
@@ -1 +1,2 @@
DIST kyua-0.13.tar.gz 663776 BLAKE2B 5bb6b2a7723567395baeace0b70085a631856ac98ddb304bb5300f26bc89a1a1add589486cd08f1569ca9c7534fd5071a62cdcbb519a10d59221df63c0aef932 SHA512 80ecf4fd888d4759122f3c1d1d5b06a19135e06f7bca1ef8458c7a5e78c1b6baff54969c863c93f11c40611ca256fc0334402531397b16788fb3ec701dd278ae
+DIST kyua-0.14.tar.gz 522124 BLAKE2B b211b987c9526bbf486b9d1429c83432907015a39bb68322674e3650473b97b74b88839913571d6e5df6f2c6671913feb2a5e555c2d304c164c89cf292efbad4 SHA512 38f6b4c6bce4aea8f8b257b9799e585311e9f8cfe154a277f5b520ee29bc04cabdd0d531cdf9c09cc6ee2e0e470db498071210e23732d2f55e1ae551c71a2c06
diff --git a/dev-util/kyua/kyua-0.14.ebuild b/dev-util/kyua/kyua-0.14.ebuild
new file mode 100644
index 000000000000..feca4c10e157
--- /dev/null
+++ b/dev-util/kyua/kyua-0.14.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2017-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Testing framework for infrastructure software"
+HOMEPAGE="https://github.com/freebsd/kyua"
+SRC_URI="https://github.com/freebsd/kyua/archive/refs/tags/${P}.tar.gz"
+S="${WORKDIR}/${PN}-${P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-db/sqlite:3
+ >=dev-lua/lutok-0.5
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ test? ( >=dev-libs/atf-0.22 )
+"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # Skip coredump tests; they fail when sudo sets RLIMIT_CORE = 0.
+ cat >"${T}/kyua.conf" <<-EOF || die
+ syntax(2)
+ test_suites.kyua.run_coredump_tests = "false"
+ EOF
+ local -x KYUA_CONFIG_FILE_FOR_CHECK="${T}/kyua.conf"
+
+ econf $(use_enable test atf)
+}
+
+src_install() {
+ default
+ rm -rf "${ED}"/usr/tests || die
+}
next reply other threads:[~2025-01-12 5:14 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-12 5:14 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-14 14:58 [gentoo-commits] repo/gentoo:master commit in: dev-util/kyua/ Sam James
2024-05-25 16:59 Mike Gilbert
2024-05-25 16:58 Mike Gilbert
2024-05-25 16:58 Mike Gilbert
2024-05-24 20:10 Mike Gilbert
2024-05-21 21:17 Mike Gilbert
2024-04-24 18:13 Arthur Zamarin
2024-04-24 17:59 Arthur Zamarin
2024-04-24 17:43 Arthur Zamarin
2024-04-24 17:18 Arthur Zamarin
2024-04-24 17:17 Arthur Zamarin
2024-04-24 17:14 Arthur Zamarin
2024-04-24 17:14 Arthur Zamarin
2023-07-26 6:35 Sam James
2023-07-26 6:32 Sam James
2021-07-28 11:28 Marek Szuba
2020-11-28 10:13 Sam James
2019-02-16 13:37 Mikle Kolyada
2019-02-16 13:37 Mikle Kolyada
2019-01-17 13:13 Mart Raudsepp
2018-10-17 16:48 Mikle Kolyada
2018-09-07 17:18 Mike Gilbert
2018-09-06 21:14 Mike Gilbert
2017-12-05 6:47 Matt Turner
2017-11-06 11:46 Manuel RĂ¼ger
2017-11-02 14:33 Tobias Klausmann
2017-09-30 17:14 Matt Turner
2017-09-30 17:14 Matt Turner
2017-09-12 8:00 Sergei Trofimovich
2017-09-11 16:56 Mike Gilbert
2017-09-11 8:10 Sergei Trofimovich
2017-08-10 4:41 Markus Meier
2017-08-09 21:05 Sergei Trofimovich
2017-08-05 14:25 Sergei Trofimovich
2017-07-04 18:28 Mike Gilbert
2017-06-18 20:56 Sergei Trofimovich
2017-05-14 10:55 Markus Meier
2017-05-13 6:26 Markus Meier
2017-05-09 12:40 Jeroen Roovers
2017-05-09 7:49 Tobias Klausmann
2017-05-08 16:08 Mike Gilbert
2017-05-07 18:39 Mike Gilbert
2017-05-07 18:39 Mike Gilbert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1736658759.e7b2df20db3eeb4e55013327a405078731161284.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox